=== debian/changelog ===
kernelshark (2.0.2-2) unstable; urgency=medium

  * Fix multiarch paths. (Closes: #1001512)
    - Thanks Helmut Grohne for the patch.
  * Update Standards-Version to 4.6.0.1
  * Add autopkgtest.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 29 Dec 2021 15:44:07 +0000

kernelshark (2.0.2-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream version 2.0.2
    - Refresh patch.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 08 Nov 2021 20:39:44 +0000

kernelshark (2.0-1) experimental; urgency=medium

  * Initial release (Closes: #986347)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 19 Jun 2021 00:13:01 +0100
