=== debian/control ===
Source: kernelshark
Section: devel
Priority: optional
Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 libtracecmd-dev (>= 2.9.3),
 libtracefs-dev (>= 1.2.0),
 libtraceevent-dev (>= 1:1.3.0),
 cmake,
 libjson-c-dev,
 freeglut3-dev,
 libxmu-dev,
 libxi-dev,
 qtbase5-dev,
 graphviz,
 doxygen-gui,
 pkg-config,
 fonts-freefont-ttf,
 trace-cmd (>= 2.9.3),
 policykit-1
Standards-Version: 4.6.0.1
Homepage: https://kernelshark.org/
Vcs-Browser: https://salsa.debian.org/sudip/kernelshark
Vcs-Git: https://salsa.debian.org/sudip/kernelshark.git

Package: kernelshark
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         trace-cmd (>= 2.9.3), fonts-freefont-ttf
Description: Utility for retrieving and analyzing function tracing in the kernel
 This package contains the trace-cmd utility. Trace-cmd makes it easy to
 retrieve and analyze function traces from the Linux kernel while it is running.

Package: libkshark2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for accessing ftrace file system (shared library)
 Library for accessing ftrace file system and provides API for processing of
 tracing data.
 .
 This package contains the shared library.

Package: libkshark-dev
Section: libdevel
Architecture: any
Depends: libkshark2 (= ${binary:Version}), ${misc:Depends}
Description: Library for accessing ftrace file system (development files)
 Library for accessing ftrace file system and provides API for processing of
 tracing data.
 .
 This package is needed to compile programs against libkshark2.
