=== debian/changelog ===
kernelshark (2.1.1-2) unstable; urgency=medium

  * Add depends on pkexec. (Closes: #1025577)
  * Update Standards-Version to 4.6.1.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 11 Dec 2022 17:01:33 +0000

kernelshark (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1
    - Update copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 26 Apr 2022 12:49:41 +0100
