=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
  pkg-config,
  fonts-freefont-ttf,
  trace-cmd (>= 2.9.3),
- policykit-1
-Standards-Version: 4.6.0.1
+ pkexec
+Standards-Version: 4.6.1.0
 Homepage: https://kernelshark.org/
 Vcs-Browser: https://salsa.debian.org/sudip/kernelshark
 Vcs-Git: https://salsa.debian.org/sudip/kernelshark.git
@@ -27,7 +27,8 @@
 Package: kernelshark
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         trace-cmd (>= 2.9.3), fonts-freefont-ttf
+         trace-cmd (>= 2.9.3), fonts-freefont-ttf,
+         pkexec
 Description: Utility for retrieving and analyzing function tracing in the kernel
  This package contains the trace-cmd utility. Trace-cmd makes it easy to
  retrieve and analyze function traces from the Linux kernel while it is running.
