## kernelshark 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 set(KS_APP_NAME "kernelshark")
 set(KS_VERSION_MAJOR 2)
-set(KS_VERSION_MINOR 1)
-set(KS_VERSION_PATCH 1)
+set(KS_VERSION_MINOR 2)
+set(KS_VERSION_PATCH 0)
 set(KS_VERSION_STRING ${KS_VERSION_MAJOR}.${KS_VERSION_MINOR}.${KS_VERSION_PATCH})
 message("\n project: Kernel Shark: (version: ${KS_VERSION_STRING})\n")
 
@@ -69,7 +69,7 @@
 
 else (TT_FONT_FILE)
 
-  message(WARNING "\nCould not find font ${KS_FONT}!\n")
+  message(WARNING "\nCould not find font ${KS_FONT}! Kernelshark GUI requires font ${KS_FONT}!\n")
 
 endif (TT_FONT_FILE)
