=== debian/changelog ===
kernelshark (2.2.0-1ubuntu0.23.04.1) lunar; urgency=medium

  * Add upstream patch to fix segfault. (LP: #2042720)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 17 Nov 2023 22:34:52 +0000

kernelshark (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * Update Standards-Version to 4.6.2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 05 Feb 2023 00:47:33 +0000
