=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kernelshark
 Section: devel
 Priority: optional
-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
  libtracecmd-dev (>= 2.9.3),
@@ -19,7 +20,7 @@
  fonts-freefont-ttf,
  trace-cmd (>= 2.9.3),
  pkexec
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://kernelshark.org/
 Vcs-Browser: https://salsa.debian.org/sudip/kernelshark
 Vcs-Git: https://salsa.debian.org/sudip/kernelshark.git
