=== debian/changelog ===
kernelshark (2.2.1-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:27:32 +0000

kernelshark (2.2.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:35:05 +0000

kernelshark (2.2.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:55:25 +0000

kernelshark (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1 (Closes: #1049866)
    - Update links for version update.
  * Fix package description. (Closes: #1028585)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 16 Aug 2023 21:00:24 +0100

kernelshark (2.2.0-2) unstable; urgency=medium

  * Fix symlink names. (Closes: #1035449)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 05 May 2023 20:37:24 +0100
