=== debian/control ===
--- 
+++ 
@@ -30,9 +30,9 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
          trace-cmd (>= 2.9.3), fonts-freefont-ttf,
          pkexec
-Description: Utility for retrieving and analyzing function tracing in the kernel
- This package contains the trace-cmd utility. Trace-cmd makes it easy to
- retrieve and analyze function traces from the Linux kernel while it is running.
+Description: Utilities for graphically analyzing function tracing in the kernel
+ KernelShark is a front end reader of trace-cmd output. It reads a trace-cmd.dat
+ formatted file and produces a graph and list view of the data.
 
 Package: libkshark2
 Section: libs
