=== debian/tests/control ===
Tests: test-gui
Depends: @, xvfb, xauth, xdotool
Restrictions: superficial
