## kernelshark 2.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 set(KS_APP_NAME "kernelshark")
 set(KS_VERSION_MAJOR 2)
-set(KS_VERSION_MINOR 2)
+set(KS_VERSION_MINOR 3)
 set(KS_VERSION_PATCH 1)
 set(KS_VERSION_STRING ${KS_VERSION_MAJOR}.${KS_VERSION_MINOR}.${KS_VERSION_PATCH})
 message("\n project: Kernel Shark: (version: ${KS_VERSION_STRING})\n")
@@ -73,33 +73,16 @@
 
 endif (TT_FONT_FILE)
 
-find_package(Qt5Widgets 5.7.1)
-find_package(Qt5Network)
-if (Qt5Widgets_FOUND)
-
-    message(STATUS "Found Qt5Widgets:  (version ${Qt5Widgets_VERSION})")
-
-    if(Qt5Widgets_VERSION VERSION_LESS "5.11")
-
-        set(QT_VERSION_LESS_5_11 TRUE)
-
-    endif()
-
-    if(Qt5Widgets_VERSION VERSION_LESS "5.15")
-
-        set(QT_VERSION_LESS_5_15 TRUE)
-
-    endif()
-
-endif (Qt5Widgets_FOUND)
+find_package(Qt6Widgets 6.3.0)
+find_package(Qt6 COMPONENTS Network OpenGLWidgets StateMachine REQUIRED)
 
 find_package (Boost COMPONENTS unit_test_framework)
 
 set(LIBRARY_OUTPUT_PATH    "${KS_DIR}/lib")
 set(EXECUTABLE_OUTPUT_PATH "${KS_DIR}/bin")
 
-set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -Wall -pthread -fPIC -fno-common")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -pthread -fPIC -fno-common")
+set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -Wall -Wextra -pthread -fPIC -fno-common")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pthread -fPIC -fno-common")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
