=== debian/changelog ===
kernelshark (2.3.1-2) unstable; urgency=medium

  * Add upstream patch to fix FTBFS with gcc-14. (Closes: #1075112)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 05 Jul 2024 18:59:13 +0100

kernelshark (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1
  * Update dependencies

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 06 May 2024 22:19:50 +0100
