=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kernelshark
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
+Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
  libtracecmd-dev (>= 2.9.3),
@@ -13,10 +12,11 @@
  freeglut3-dev,
  libxmu-dev,
  libxi-dev,
- qtbase5-dev,
+ qt6-base-dev,
+ qt6-scxml-dev,
  graphviz,
  doxygen-gui,
- pkg-config,
+ pkgconf,
  fonts-freefont-ttf,
  trace-cmd (>= 2.9.3),
  pkexec
