## kernelshark 2.3.2

=== debian/changelog ===
kernelshark (2.3.2-1) unstable; urgency=medium

  * New upstream version 2.3.2
    - Remove upstream applied patch.
  * Update Standards-Version to 4.7.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 05 Jan 2025 21:13:02 +0000
