=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  fonts-freefont-ttf,
  trace-cmd (>= 2.9.3),
  pkexec
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://kernelshark.org/
 Vcs-Browser: https://salsa.debian.org/sudip/kernelshark
 Vcs-Git: https://salsa.debian.org/sudip/kernelshark.git
