=== src/CMakeLists.txt ===
--- 
+++ 
@@ -77,7 +77,7 @@
 
 endif (OPENGL_FOUND)
 
-if (Qt5Widgets_FOUND AND Qt5Network_FOUND AND TT_FONT_FILE)
+if (Qt6Widgets_FOUND AND TT_FONT_FILE)
 
     message(STATUS "libkshark-gui")
     set (ks-guiLib_hdr  KsUtils.hpp
@@ -93,7 +93,7 @@
                         KsQuickContextMenu.hpp
                         KsAdvFilteringDialog.hpp)
 
-    QT5_WRAP_CPP(ks-guiLib_hdr_moc ${ks-guiLib_hdr})
+    QT6_WRAP_CPP(ks-guiLib_hdr_moc ${ks-guiLib_hdr})
 
     add_library(kshark-gui  SHARED  ${ks-guiLib_hdr_moc}    KsUtils.cpp
                                                             KsModels.cpp
@@ -111,8 +111,10 @@
                                                             KsAdvFilteringDialog.cpp)
 
     target_link_libraries(kshark-gui kshark-plot
-                                     Qt5::Widgets
-                                     Qt5::Network)
+                                     Qt6::Widgets
+                                     Qt6::Network
+                                     Qt6::OpenGLWidgets
+                                     Qt6::StateMachine)
 
 
     set_target_properties(kshark-gui PROPERTIES  SUFFIX ".so.${KS_VERSION_STRING}")
@@ -157,4 +159,4 @@
 
     find_program(DO_AS_ROOT pkexec)
 
-endif (Qt5Widgets_FOUND AND Qt5Network_FOUND AND TT_FONT_FILE)
+endif ()
