=== debian/changelog ===
kernelshark (2.4.0-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Add upstream fix for FTBFS with CMake 4. (Closes: #1113073)

  [ Sudip Mukherjee ]
  * Fix broken symlinks to old libraries. (Closes: #1110874)
    - Thanks Andrey Skvortsov.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 29 Oct 2025 18:13:36 +0000

kernelshark (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * Update Standards-Version to 4.7.2
  * Allow stderr in autopkgtests.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 04 Apr 2025 23:46:28 +0100
